Bug 654909 - Review Request: django-tables - A Django Queryset renderer
Summary: Review Request: django-tables - A Django Queryset renderer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-19 01:16 UTC by William Lima
Modified: 2010-12-03 20:45 UTC (History)
3 users (show)

Fixed In Version: django-tables-0.3-0.1.20101124git02ecf61.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 20:43:20 UTC
kevin: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description William Lima 2010-11-19 01:16:29 UTC
Spec URL: http://dl.dropbox.com/u/15242308/django-tables.spec
SRPM URL: http://dl.dropbox.com/u/15242308/django-tables-0.2-1.fc13.src.rpm
Description:

Hi! I just finished packaging up django-tables, and I would appreciate a review so that I can get it into Fedora!
Since it's my first package I also need a sponsor.

django-tables Render QuerySets as tabular data in Django.

Comment 2 François Cami 2010-11-19 23:05:53 UTC
I am not a sponsor, nor will I be doing a full review as I am unsure how to test this, functionality-wise. However, it builds in mock, rpmlint output is clean:
django-tables.src: W: invalid-url Source0: django-tables-0.2.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

I think the invalid-url error can be safely ignored since you showed how to build the tarball from upstream git.

However, please change the BuildRequires to python2-devel (or both python2-devel and python3-devel, as required) as per http://fedoraproject.org/wiki/Packaging:Python

Comment 3 Kevin Fenzi 2010-11-21 17:25:41 UTC
I'll go ahead and review this and look at sponsoring you. 

Do you have any other packages to submit at this time? 
Have you done any pre-reviews of other pending package reviews?
(see http://fedoraproject.org/PackageReviewStatus/NEW.html ).

Comment 4 Kevin Fenzi 2010-11-21 18:31:18 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines. [1]
[x]  Spec file name must match the base package %{name}, in the format %{name}.spec.
[x]  Spec file is legible and written in American English.
[x]  Spec file lacks Packager, Vendor, PreReq tags.
[x]  Spec uses macros instead of hard-coded directory names.
[x]  Package consistently uses macros.
[x]  Macros in Summary, %description expandable at SRPM build time.
[x]  PreReq is not used.
[x]  Requires correct, justified where necessary.
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines. [2]
[x]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)).
[x]  Package run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) and the beginning of %install.
[x]  Package use %makeinstall only when ``make install DESTDIR=...'' doesn't work.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  The spec file handles locales properly.
[x]  Changelog in prescribed format.
[!]  Rpmlint output is silent.
[x]  License field in the package spec file matches the actual license.
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  License file installed when any subpackage combination is installed.
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines. [3,4]
[x]  Sources contain only permissible code or content.
[!]  Sources used to build the package matches the upstream source, as provided in the spec URL.
     MD5SUM this package     : 99bf7894c17a3312cdf634bb17b6eb4b
     MD5SUM upstream package : 457973f47ac0cf3fc843fbd24ece9846

[?]  Compiler flags are appropriate.
[?]  %build honors applicable compiler flags or justifies otherwise.
[?]  ldconfig called in %post and %postun if required.
[x]  Package must own all directories that it creates.
[x]  Package does not own files or directories owned by other packages.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Each %files section contains %defattr.
[?]  No %config files under /usr.
[?]  %config files are marked noreplace or the reason is justified.
[?]  Package contains a properly installed %{name}.desktop using desktop-file-install file if it is a GUI application. [5]
[?]  Package contains a valid .desktop file.
[x]  Package contains code, or permissable content.
[?]  Package contains a SysV-style init script if in need of one.
[!]  File names are valid UTF-8.
[?]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[x]  Package contains no bundled libraries.
[x]  Package does not genrate any conflict.
[x]  Package does not contains kernel modules.
[x]  Package is not relocatable.
[x]  Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x]  Package is not known to require ExcludeArch.
[x]  Package installs properly.
[x]  Package obeys FHS, except libexecdir and /usr/target.
[x]  Package meets the Packaging Guidelines. [6]

=== SUGGESTED ITEMS ===
[?]  Package functions as described.
[x]  Latest version is packaged.
[x]  Package does not include license text files separate from upstream.
[x]  If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[?]  Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[!]  SourceX is a working URL.
[!]  SourceX / PatchY prefixed with %{name}.
[x]  Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[!]  %check is present and all tests pass.
[x]  Reviewer should test that the package builds in mock.
[x]  Package should compile and build into binary rpms on all supported architectures.
[x]  Dist tag is present.
[x]  Spec use %global instead of %define.
[x]  Scriptlets must be sane, if used.
[x]  No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]  Packages should try to preserve timestamps of original installed files.
[x]  Uses parallel make.

=== Issues ===
1. rpmlint says: 
django-tables.noarch: E: zero-length /usr/lib/python2.7/site-packages/django_tables/app/models.py

I assume that 0 len file is usefull for something?

django-tables.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/django-tables-0.2/README

If you want to fix this with a sed command, that might be nice. 

django-tables.src: W: invalid-url Source0: django-tables-0.2.tar.gz

Should be fine since you explain how to check out the source. 
No chance upstream will release a real tar?

2. The md5 doesn't match upstream, but thats due to it being a source checkout. 
I did a checkout of each and a diff on the entire tree and the only differences 
were timestamp related. (not a blocker)

3. There are some tests available in a test directory. Is it practical to run those in 
a %check section here? (If they need internet access or something you shouldn't enable
them at build time, but if they don't it would be nice to run them)

Comment 5 William Lima 2010-11-21 19:06:00 UTC
(In reply to comment #3)
> I'll go ahead and review this and look at sponsoring you. 

nice, thanks Kevin!

> Do you have any other packages to submit at this time?

nope

> Have you done any pre-reviews of other pending package reviews?
> (see http://fedoraproject.org/PackageReviewStatus/NEW.html ).

not yet, I'll take a look.

Comment 6 William Lima 2010-11-21 20:49:10 UTC
o fixed wrong-file-end-of-line-encoding issue
o use python2-devel instead of python-devel

Comment 8 Kevin Fenzi 2010-11-21 22:04:47 UTC
Per irc you were going to check with upstream on including the test app as a doc. 
We could wait to hear from them on that before importing this package. 

Otherwise I dont see any further blockers, so this package is APPROVED. 

I'll go ahead and sponsor you. 

If you have any questions or issues, please don't hesitate to ask me here, email or via irc.

Comment 9 William Lima 2010-11-24 15:15:30 UTC
o update from upstream (integrates some patches)
o also ship tests/ in %doc

Spec URL: http://poetinha.fedorapeople.org/django-tables.spec
SRPM URL: http://poetinha.fedorapeople.org/django-tables-0.2-3.20101124git02ecf61.fc13.src.rpm

Comment 10 William Lima 2010-11-24 15:53:28 UTC
New Package SCM Request
=======================
Package Name: django-tables
Short Description: A Django Queryset renderer
Owners: poetinha
Branches: f13 f14 el6
InitialCC:

Comment 12 Jason Tibbitts 2010-11-24 20:34:35 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2010-11-24 21:59:14 UTC
django-tables-0.3-0.1.20101124git02ecf61.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/django-tables-0.3-0.1.20101124git02ecf61.fc14

Comment 14 Fedora Update System 2010-11-24 22:01:23 UTC
django-tables-0.3-0.1.20101124git02ecf61.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/django-tables-0.3-0.1.20101124git02ecf61.fc13

Comment 15 Fedora Update System 2010-11-26 01:08:49 UTC
django-tables-0.3-0.1.20101124git02ecf61.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update django-tables'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/django-tables-0.3-0.1.20101124git02ecf61.fc13

Comment 16 Fedora Update System 2010-12-03 20:43:15 UTC
django-tables-0.3-0.1.20101124git02ecf61.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-12-03 20:45:23 UTC
django-tables-0.3-0.1.20101124git02ecf61.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.